
%global meadversion 1.5.4
%global namedversion 1.5.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%{?scl:%scl_package %{?scl_prefix}jboss-modules} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 1.5.4.Final-redhat-1

Name:             %{?scl_prefix}jboss-modules
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          A Modular Classloading System
Group:            Development/Libraries

%if %with mead
Source100: jboss-modules-1.5.4.Final-redhat-1-scm-sources.zip
Source102: jboss-modules-1.5.4.Final-redhat-1.pom
Source103: jboss-modules-1.5.4.Final-redhat-1-javadoc.jar
Source104: jboss-modules-1.5.4.Final-redhat-1.jar
Source105: jboss-modules-1.5.4.Final-redhat-1-project-sources.tar.gz
Source106: jboss-modules-1.5.4.Final-redhat-1-sources.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-modules

BuildArch:        noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ths package contains A Modular Classloading System.

%if %with javadoc
%package javadoc
Summary:          Javadocs for jboss-modules
Group:            Documentation

Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for jboss-modules.
%endif

%prep
%setup -q -n jboss-modules -T -b 100

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

# JAR
%if %without mead
cp -p target/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%else
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/
%{__cp} -p %{_sourcedir}/jboss-modules-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%if %without mead
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/jboss-modules-%{namedversion}
%else
%{__unzip} -qq %{_sourcedir}/jboss-modules-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/jboss-modules-%{namedversion}/META-INF
%{__ln_s} jboss-modules-%{namedversion} %{buildroot}%{_javadocdir}/jboss-modules
%endif
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}*/jboss-modules-%{namedversion}.jar
%{_javadir}*/jboss-modules.jar
%{_javadir}*/jboss-modules-%{namedversion}-sources.jar
%{_javadir}*/jboss-modules-sources.jar
%doc

%if %with javadoc
%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/jboss-modules-%{namedversion}
%{_javadocdir}/jboss-modules
%endif

%changelog
* Tue Jun 20 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.4-1.Final_redhat_1.1
- Upgrade to 1.5.4.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.3-1.Final_redhat_1.1
- Upgrade to 1.5.3.Final

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.5.1-1.Final_redhat_1.1
- Upgrade to 1.5.1.Final

* Tue Jan 05 2016 Yong Yang <yyang@redhat.com> - 1.5.0-1.Final_redhat_1.1
- Rebuild 1.5.0.Final-redhat-1 

* Thu Nov 05 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.4-1.Final_redhat_1.1
- 1.4.4.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1.1
- 1.4.3.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1.1
- 1.4.3.Final

* Tue Jun 16 2015 Permaine Cheung <pcheung@redhat.com> - 1.4.3-1.Final_redhat_1
- 1.4.3.Final

* Mon Nov 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.6-1.Final_redhat_1.1
- Upgrade to 1.3.6.Final

* Sat Nov 22 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.5-1.Final_redhat_1.1
- Upgrade to 1.3.5.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.4-1.Final_redhat_1.1
- Upgrade to 1.3.4.Final

* Fri Mar 14 2014 Paul Gier <pgier@redhat.com> - 1.3.3-1.Final_redhat_1.1
- Upgrade to 1.3.3.Final

* Tue Mar 04 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.3.1-1.Final_redhat_1.1
- Upgrade to 1.3.1.Final

* Sun Sep 22 2013 Hui Wang <huwang@redhat.com> - 1.3.0-1.Final_redhat_1
- Upgrade to 1.3.0.Final

* Thu Jul 11 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.2-1.Final_redhat_1
- Upgrade to 1.2.2.Final

* Wed Apr 24 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 1.2.0-2.Final_redhat_1
- Upgrade to 1.2.0.Final

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1.2.0-1.CR1_redhat_1
- 1.2.0.CR1

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.3-2.GA_redhat_1.1
- Rebuild for MD5

* Wed Sep 19 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1.1
- Rebuild for MD5

* Fri Aug 24 2012 Hui Wang <huwang@redhat.com> - 1.1.3-1.GA_redhat_1
- Upgrade to 1.1.3.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.5
- Rebuild unsigned

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.4
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.2-3.GA_redhat_1.1
- Rebuild using cache signing

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-3.GA_redhat_1
- Rebuild to clean MANIFEST.MF in the unsigned JAR

* Fri May 11 2012 Hui Wang <huwang@redhat.com> 1.1.2-2.GA_redhat_1.1
- Remove javadoc files from main package

* Wed May 02 2012 Hui Wang <huwang@redhat.com> 1.1.2-1.GA_redhat_1.1
- Upgrade to 1.1.2.GA

* Thu Apr 12 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-2.GA_redhat_1
- Populate javadir-signed

* Mon Feb 20 2012 Hui Wang <huwang@redhat.com> 1.1.0-1.GA_redhat_1.1
- Upgrade to 1.1.1.GA

* Thu Feb 09 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.2
- Resigned with 2011 key

* Tue Jan 10 2012 Fernando Nasser <fnasser@redhat.com> 1.1.0-0.2.CR6_redhat_1.1
- Wrap MEAD build for EAP 6

* Fri Dec 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.0-0.1.CR4
- Upstream release 1.1.0.CR4

* Tue Aug 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.2-1
- Initial packaging

